<script>
  window.addEventListener("load", function() {
    const chartConfig = {
      'title': '<?php echo $this->title; ?>',
      'sanitized_title': '<?php echo sanitize_title($this->title) ?>',
      'data': JSON.parse('<?php echo $this->data; ?>'),
      'columns': JSON.parse('<?php echo $this->columns; ?>'),
    };
    google.charts.load('current', {
      'packages': ['line', 'corechart'],
      'language': '<?php echo substr(get_locale(), 0, 2); ?>'
    });
    google.charts.setOnLoadCallback(function() {
      drawLineChart(chartConfig);
    });

    function drawLineChart(conf) {
      var chartDiv = document.getElementById('chart_div_' + conf.sanitized_title);
      var data = new google.visualization.DataTable();

      for (const [key, value] of Object.entries(conf.columns)) {
        data.addColumn(value[1], value[0]);
      }

      conf.data.forEach((row) => {
        data.addRow([
          new Date(row[0]),
          parseInt(row[1]),
          parseFloat(row[2])
        ]);
      });

      var vAxes = conf.columns.map(function(v, k) {
        if (k > 0) {
          return {
            title: v[0]
          };
        }
      });
      vAxes.shift();

      var classicOptions = {
        title: '<?php echo $this->title; ?>',
        width: '100%',
        height: 500,
        series: conf.columns.map(function(v, k) {
          return {
            targetAxisIndex: k
          };
        }),
        vAxes: vAxes,
        hAxis: {
          title: conf.columns[0][0],
          gridlines: {
            count: -1,
            units: {
              days: {
                format: ['MMM dd']
              },
              hours: {
                format: ['HH:mm', 'ha']
              },
            }
          },
          minorGridlines: {
            units: {
              hours: {
                format: ['hh:mm:ss a', 'ha']
              },
              minutes: {
                format: ['HH:mm a Z', ':mm']
              }
            }
          }
        }
      };

      var classicChart = new google.visualization.LineChart(chartDiv);
      classicChart.draw(data, classicOptions);

    }
  });
</script>
<div id="chart_div_<?php echo sanitize_title($this->title) ?>"></div>