<?php

namespace Freshmail\Core\AdminMenu;

use Freshmail\Core\AdminMenu\Pages\AboutPage;
use Freshmail\Core\AdminMenu\Pages\ApiSettingsPage;
use Freshmail\Core\AdminMenu\Pages\IntegrationsPage;
use Freshmail\Core\AdminMenu\Pages\StatisticsPage;

use function Freshmail\createClass;

class AdminMenu
{
  public function __construct()
  {
  }

  /**
   * Init pages
   *
   * @action init
   * @return void
   * @author MS
   */
  public function init()
  {
    //add new admin pages here
    //order does matter - the same will be shown in admin menu
    createClass(ApiSettingsPage::class);
    createClass(IntegrationsPage::class);
    createClass(AboutPage::class);
    createClass(StatisticsPage::class);
  }

  /**
   * Adds Freshmail admin page to admin menu
   *
   * @action admin_menu
   * @return void
   * @author MS
   */
  public function addFreshmailSettingsPage()
  {
    add_menu_page(
        __('FreshMail', 'freshmail'),
        __('FreshMail', 'freshmail'),
        'manage_options',
        'freshmail_settings',
        '',
        '', //asset_path('images/admin-menu.svg'),
        98
    );

    do_action('freshmail/settings/add_subpage');
    do_action('freshmail/settings/add_settings_fields');
  }
}
