<?php

namespace Freshmail\CronQueueScheduler;

class Scheduler
{
  /**
   * @action wp
   */
  public function schedule(): void
  {
    do_action('fm/cron/queue/schedule_events');
  }

  /**
   * @filter cron_schedules
   */
  public function intervals(array $schedules): array
  {
    if (empty($schedules['every_five_minutes'])) {
      $schedules['every_five_minutes'] = [
        'interval' => 60 * 5,
        'display' => __('Every 5 minutes', 'freshmail')
      ];
    }

    if (empty($schedules['hourly'])) {
      $schedules['hourly'] = [
        'interval' => 60 * 60,
        'display' => __('Once Hourly', 'freshmail')
      ];
    }

    if (empty($schedules['daily'])) {
      $schedules['daily'] = [
        'interval' => 60 * 60 * 24,
        'display' => __('Daily', 'freshmail')
      ];
    }
    return $schedules;
  }
}
