<?php

namespace Freshmail\Statistics\Charts;

class Chart
{
  protected string $viewDirectory = FRERSHMAIL_RESOURCES_PATH . 'views/statistics/charts/';
  protected string $viewFileName = 'chart.php';
  protected string $title = '';
  protected string $data = '';
  protected string $columns = '';

  public function __construct(string $title, array $data, array $columns)
  {
      $this->title = $title;
      $this->data = json_encode($data);
      $this->columns = json_encode($columns);
  }

  public function render()
  {
    ob_start();
    include $this->getViewPath();
    return ob_get_clean();
  }

  public function getViewPath(): string
  {
      return $this->getViewDirectory() . $this->getViewFileName();
  }

  public function getViewDirectory(): string
  {
      return $this->viewDirectory;
  }

  public function getViewFileName(): string
  {
      return $this->viewFileName;
  }

  public function setViewFileName(string $fileName): void
  {
      $this->viewFileName = $fileName;
  }

  public function getTitle(): string
  {
      return $this->title;
  }

  public function setTitle(string $title): void
  {
      $this->title = $title;
  }

  public function getdata(): string
  {
      return $this->data;
  }

  public function setdata(string $data): void
  {
      $this->data = $data;
  }

  public function getColumns(): string
  {
      return $this->columns;
  }

  public function setColumns(string $columns): void
  {
      $this->columns = $columns;
  }
}
